#!/bin/bash
# Copyright © 2019-2025 Collabora Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set -e
set -u
set -x

echo "1..1"

tmpdir="$(mktemp -d)"
cleanup () {
    rm -fr "$tmpdir"
}
trap cleanup 0 INT QUIT ABRT PIPE TERM

# Meson wants a real locale
export LC_ALL=C.UTF-8

meson setup "$tmpdir" "$(pwd)/examples/ogg-vorbis"
ninja -v -C "$tmpdir"
meson test -C "$tmpdir" -v
ninja -v -C "$tmpdir" clean

echo "ok 1"

# vim:set sw=4 sts=4 et ft=sh:
